Copy PageCreate a remediation job for devicespost https://api.controlup.com/compliance/jobs/devicesCreates a remediation job targeting all remediable issues detected on the specified devices.Body Paramsdevicesarray of stringsrequiredlength ≥ 1Device IDs to target.devices*ADD stringnamestringDisplay name for the job. Defaults to a generated name if omitted.descriptionstringOptional description for the job.dry_runbooleanIf true, returns the list of issues that would be targeted without creating the job.falsetruefalsepatch_installation_scheduleobjectControls when downloaded patches and vulnerability remediations are installed. Omit this object entirely to install immediately once downloaded.patch_installation_schedule objectscheduleobjectdeprecatedDeprecated alias for patch_installation_schedule. Use patch_installation_schedule instead.schedule objectpatch_download_scheduleobjectControls when patches and vulnerability remediations are downloaded. Omit this object entirely to download immediately.patch_download_schedule objectmisconfig_mitigation_scheduleobjectControls when misconfiguration checks are run. Omit this object entirely to run immediately.misconfig_mitigation_schedule objectcompliance_mitigation_scheduleobjectControls when compliance checks are run. Omit this object entirely to run immediately.compliance_mitigation_schedule objectremediation_behaviorobjectControls how applications and the device are handled during remediation.remediation_behavior objectResponses 200Successful response 400Invalid request body 500Internal server errorUpdated 11 days ago List remediation jobsCreate a remediation job for issuesDid this page help you?YesNo